import { IAuthState, IAuthClient, IStorageOptions } from '@8base/utils';
export interface IWebNativeAuthClientOptions {
    authProfileId: string;
    apiEndpoint: string;
}
declare type IWebNativeAuthState = IAuthState<{
    refreshToken: string;
}>;
/**
 * Creates instance of the web native auth client.
 */
declare class WebNativeAuthClient implements IAuthClient<IWebNativeAuthState> {
    private readonly authProfileId;
    private storageAPI;
    private graphQLClient;
    constructor(options: IWebNativeAuthClientOptions, storageOptions?: IStorageOptions<IWebNativeAuthState>);
    setState(state: IWebNativeAuthState): void;
    getState(): IWebNativeAuthState;
    getTokenInfo(): unknown;
    purgeState(): void;
    checkIsAuthorized(): boolean;
    login({ email, password }: {
        email: string;
        password: string;
    }): Promise<{
        success: boolean;
    }>;
    refreshToken(): Promise<void>;
    logout(): void;
}
export { WebNativeAuthClient };
//# sourceMappingURL=WebNativeAuthClient.d.ts.map